<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotSignatureVerificationUseCaseProof;

use UnexpectedValueException;




class BotSignatureUseCase
{
    


    const UNSPECIFIED = 0;
    


    const WA_BOT_MSG = 1;

    private static $valueToName = [
        self::UNSPECIFIED => 'UNSPECIFIED',
        self::WA_BOT_MSG => 'WA_BOT_MSG',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

